Loading...
Searching...
No Matches
detail::discussion_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::discussion_handler:
[legend]

## Static Public Member Functions

template<typename TDummy>
static void | set_value (ChangesetDiscussionBuilder &, const TDummy &) noexcept
static void | set_value (ChangesetDiscussionBuilder &builder, const attr::_comment &comment)
template<typename TIterator>
static void | set_value (ChangesetDiscussionBuilder &builder, const attr::detail::comments_from_iterator_pair< TIterator > &comments)

## Member Function Documentation

## set_value() [1/3]

template<typename TDummy>

void detail::discussion_handler::set_value | ( | ChangesetDiscussionBuilder & | ,
|  | const TDummy & | )

inlinestaticnoexcept

## set_value() [2/3]

void detail::discussion_handler::set_value | ( | ChangesetDiscussionBuilder & | builder,
|  | const attr::_comment & | comment )

inlinestatic

## set_value() [3/3]

template<typename TIterator>

void detail::discussion_handler::set_value | ( | ChangesetDiscussionBuilder & | builder,
|  | const attr::detail::comments_from_iterator_pair< TIterator > & | comments )

inlinestatic

The documentation for this struct was generated from the following file:

- include/osmium/builder/attr.hpp